# TODO seems qt/qt5 widget of peazip is broken, startup crashes
# so before re-enable qt widget make sure peazip starts and works properly
%bcond_with qt
%define         _peazipinstalldir %{_libdir}/peazip

Summary:	File and archive manager
Name:		peazip
Version:	8.7.0
Release:	1%{?dist}
License:	LGPLv3
Url:		http://www.peazip.org/peazip-linux.html
Source0:        https://sourceforge.net/projects/%{name}/files/%{version}/%{name}-%{version}.src.zip
Source1:        https://sourceforge.net/projects/peazip/files/%{version}/peazip_help.pdf
# configure to run in users home appdata
Source2:        altconf.txt
Source3:        %{name}.desktop
#Patch0:         peazip-6.7.1-aarch64.patch
Patch1:	        peazip-debuginfo.patch
BuildRequires:  dos2unix
BuildRequires:  lazarus >= 1.2.0
BuildRequires:  desktop-file-utils
%if %{with qt}
BuildRequires:  qt5pas-devel
BuildRequires:  qt5-devel
BuildRequires:  pkgconfig(QtWebKit)
%else
BuildRequires:  pkgconfig(gtk+-2.0)
%endif
BuildRequires:  icoutils
BuildRequires:  p7zip
BuildRequires:  unzip
Requires:       p7zip
Requires:       upx >= 3.09

ExcludeArch:   s390x ppc64le

%description
PeaZip is a file and archive manager GUI for many formats.

Create: 7Z, ARC, BZ2, GZ, *PAQ, PEA, QUAD/BALZ, TAR, UPX, WIM, XZ, ZIP files

Extract 150+ archive types: ACE, ARJ, CAB, DMG, ISO, LHA, RAR, UDF, ZIPX and more

It can extract, create and convert multiple archives at once,
create self-extracting archives, split/join files, supports strong encryption with two-factor authentication,
has an encrypted password manager, secure deletion, can find duplicate files, calculate hashes, and
export job definition as a script.

%package kf5
Summary:        KF5 servicemenu for peazip
Requires:       peazip
BuildArch:      noarch

%description kf5
PeaZip is a file and archive manager GUI for many formats.
This subpackage contains the KF5 integration.


%prep
%autosetup -p1 -n %{name}-%{version}.src
chmod +w res/share/lang
dos2unix readme*
mv res/share/copying/copying.txt .
cp %{SOURCE2} peazip_help.pdf

%build
cd dev
lazbuild --lazarusdir=%{_libdir}/lazarus \
%ifarch x86_64
	--cpu=x86_64 \
%endif
%if %{with qt}
	--widgetset=qt5 \
%else
	--widgetset=gtk2 \
%endif
	-B project_peach.lpi project_pea.lpi

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
rm -rf res/icons
cp -r res %{buildroot}%{_datadir}/%{name}
cp %{SOURCE2} %{buildroot}%{_datadir}/%{name}/res

#install helper apps
mkdir -p %{buildroot}%{_libdir}/%{name}/res/bin/7z
mkdir -p %{buildroot}%{_libdir}/%{name}/res/upx
ln -s %{_bindir}/7z  %{buildroot}%{_libdir}/%{name}/res/bin/7z/7z
ln -s %{_bindir}/upx  %{buildroot}%{_libdir}/%{name}/res/upx/upx

install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}/

install dev/pea %{buildroot}%{_datadir}/%{name}/res
ln -s %{_datadir}/%{name}/res/pea %{buildroot}%{_bindir}/pea
install dev/%{name} %{buildroot}%{_datadir}/%{name}
ln -s %{_datadir}/%{name}/%{name} %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 %{SOURCE3} %{buildroot}%{_datadir}/applications/

#mkdir -p %{buildroot}%{_iconsdir}/hicolor/256x256/apps
mkdir -p %{buildroot}%{_datadir}/applications
#desktop-file-install --dir %{buildroot}%{_datadir}/applications/peazip.desktop

#install -m 0644 FreeDesktop_integration/peazip.png %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png
install -Dm644 res/share/batch/freedesktop_integration/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
rm -rf %{buildroot}%{_datadir}/%{name}/res/icons

pushd %{buildroot}%{_datadir}/%{name}/res/share/batch/freedesktop_integration/KDE-servicemenus/KDE5-dolphin/
mkdir -p %{buildroot}%{_kf5_datadir}/kservices5/ServiceMenus
install -m644 *.desktop %{buildroot}%{_kf5_datadir}/kservices5/ServiceMenus
popd

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files
%license copying.txt
%doc readme.txt peazip_help.pdf
%{_bindir}/*
%{_libdir}/peazip
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/

%files kf5
%dir %{_kf5_datadir}/kservices5/ServiceMenus
%{_kf5_datadir}/kservices5/ServiceMenus/*.desktop

%changelog
* Fri Feb 18 2022 Martin Gansser <martinkg@fedoraproject.org> - 8.4.0-1
- Update to 8.4.0

* Thu Nov 04 2021 Martin Gansser <martinkg@fedoraproject.org> - 8.2.0-1
- Update to 8.2.0

* Fri Aug 13 2021 Martin Gansser <martinkg@fedoraproject.org> - 8.1.0-1
- Update to 8.1.0

* Sun Jul 04 2021 Martin Gansser <martinkg@fedoraproject.org> - 8.0.0-1
- Update to 8.0.0

* Fri Apr 02 2021 Martin Gansser <martinkg@fedoraproject.org> - 7.8.0-1
- Update to 7.8.0

* Thu Feb 25 2021 Martin Gansser <martinkg@fedoraproject.org> - 7.7.1-1
- Update to 7.7.1

* Tue Dec 15 2020 Martin Gansser <martinkg@fedoraproject.org> - 7.6.0-1
- Update to 7.6.0

* Fri Nov 13 2020 Martin Gansser <martinkg@fedoraproject.org> - 7.5.0-1
- Update to 7.5.0

* Wed Oct 07 2020 Martin Gansser <martinkg@fedoraproject.org> - 7.4.2-1
- Update to 7.4.2

* Sat Jun 06 2020 daviddavid <daviddavid> 7.3.1-1.mga8
+ Revision: 1590676
- new version: 7.3.1
